Bug 164050 - missing return statement
missing return statement
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: gok (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-23 07:05 EDT by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-22 09:49:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-07-23 07:05:58 EDT
Description of problem:
Hello there,

I just tried to compile Redhat Fedora package
gok-1.0.5-1 with the Intel C compiler version 8.1

The compiler said

gok-keyboard.c(3089): warning #1011: missing return statement at end of non-void
function "gok_keyboard_grab_focus_if_button"

The source code is

            }
    }
}

Suggest add return statement to the end of the function.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matthias Clasen 2005-08-22 09:49:27 EDT
Filed upstream as http://bugzilla.gnome.org/show_bug.cgi?id=314168

Note You need to log in before you can comment on or make changes to this bug.